# X2SYS_GET

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO

## NAME

| x2sys_get − Get track listing from track index databases

## SYNOPSIS

| x2sys_get −T TAG [ −C ] [ −F flags ] [ −L[list] [ −N flags ] [ −R west/east/south/north[r] ] [ −V ] ]

## DESCRIPTION

| x2sys_get will return the names of the track data files that match the given requirements. You may choose a geographic region and optionally ask only for tracks that meet certain data criteria. Finally, you may select an option to list all possible pairs that might generate crossovers.

| TAG |  | The unique tag name of this data type system. |

## OPTIONS

| No space between the option flag and the associated arguments.

| −C |  | Instead of reporting the track names, just output the coordinates of the center of each bin that has at least one track with the specified data.
| −F |  | Give a comma-separated list of column names (as described in the definition file) that should be present. [Default selects all data columns].
| −L |  | Crossover mode. Return a list of track pairs that should be checked for possible crossovers. The list is determined from the bin-index data base on the assumption that tracks occupying the same bin are very likely to intersect. By default we return all possible pairs in the data base. Append the name of a file with a list of tracks if you want to limit the output to those pairs that involve at least one of the track names in your list. The output is suitable for the −K option in x2sys_cross.
| −N |  | Give a comma-separated list of column names (as described in the definition file) that must be absent.
| −R |  | west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands −Rg −Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## EXAMPLES

| To find all the tracks associated with the tag mgd77, restricted to occupy a certain region in the south Pacific, and have at least free air anomalies and bathymetry, try x2sys_get −V −Tmgd77 −R180/240/-60/-30 −Ffaa,depth To find all the tracks associated with the tag mgd77 that have depth but not twt, try x2sys_get −V −Tmgd77 −Fdepth −Ntwt To find all the pairs associated with the tag mgd77 that might intersect each other, but only those pairs which involves tracks in your list new.lis, try x2sys_get −V −Tmgd77 −Lnew.lis > xpairs.lis

## SEE ALSO

| x2sys_binlist(l) x2sys_cross(l) x2sys_datalist(l) x2sys_init(l) x2sys_put(l)